*,
*::after,
*::before {
	box-sizing: border-box;
}

:root {
	font-size: 14px;
	--color-text: #000;
	--color-bg: #f2f1eb;
	--color-link: #000;
	--color-link-hover: #000;
	--page-padding: 1rem;
	--columns: 15;
	--cursor-blend-mode: difference !important;
	--cursor-radius: 0 !important;
}

.demo-1 {
	--color-text: #cdbcbc;
	--color-bg: #000;
	--color-link: #fff;
	--color-link-hover: #fff;
	--cursor-bg: #5cafc1;
	--cursor-blend-mode: exclusion;
}

.demo-4 {
	--color-text: #fff;
	--color-bg: #fff;
	--color-link: #9fdee9;
	--color-link-hover: #fff;
	--cursor-bg: #B6A0E6;
	--cursor-blend-mode: exclusion !important;
}

/* Page Loader */
.js .loading::before,
.js .loading::after {
	content: '';
	position: fixed;
	z-index: 1000;
}

.js .loading::before {
	top: 0;
	left: 0;
	width: 100%;
	height: 100%;
	background: var(--color-bg);
}

.js .loading::after {
	top: 50%;
	left: 50%;
	width: 60px;
	height: 60px;
	margin: -30px 0 0 -30px;
	border-radius: 50%;
	opacity: 0.4;
	background: var(--color-link);
	animation: loaderAnim 0.7s linear infinite alternate forwards;
}

@keyframes loaderAnim {
	to {
		opacity: 1;
		transform: scale3d(0.5,0.5,1);
	}
}

.cursor {
	height: 100%;
	position: fixed;
	width: 100%;
	left: 0;
	top: 0;
	pointer-events: none;
	z-index: 99;
	mix-blend-mode: var(--cursor-blend-mode);
	--size: calc(100vw / var(--columns));
}

.cursor__inner {
	display: grid;
	grid-template-columns: repeat(var(--columns), var(--size));
}

.cursor__inner-box {
	width: var(--size);
	height: var(--size);
	background: var(--cursor-bg);
	opacity: 0;
	border-radius: var(--cursor-radius);
}

@media screen and (min-width: 53em) {
	:root {
		--columns: 30;
		--page-padding: 2rem;
	}
	.frame {
		grid-template-columns: auto auto auto 1fr;
		grid-template-areas: 'title prev sponsor demos';
		justify-items: start;
		grid-gap: 2rem;
	}
	.frame__demos {
		justify-self: end;
	}
	.frame__demos-item:first-child {
		width: auto;
	}
	.content {
		align-items: center;
	}
}
